Subject: bug#4208: 23.1; play-sound-file does not work

From: Jan Djärv <[email-masked]>
Date: Fri, 21 Aug 2009 08:48:26 +0200

Tom Tromey skrev:
> 
> I'm using Emacs 23 on Fedora 11.
> 
> play-sound-file reliably does not work for me.  When I try it I get this
> error:
> 
> play-sound: No usable sound device driver found
> 
> I don't know why this fails.

This error shows up when Emacs tries to open the old OSS based sound device.
This isn't surprising if pulseaudio is running.
But you should be able to use ALSA instead.  But this message indicates that 
HAVE_ALSA isn't defined.  Have you installed ALSA development libraries?  The 
package is called libasound2-dev or something similar.  Redo the configure and
make sure it says (early in the configure run):

checking for alsa >= 1.0.0... yes
checking ALSA_CFLAGS... -I/usr/include/alsa
checking ALSA_LIBS... -lasound

Also try
% aplay <soundfile>

where <soundfile> is some file.  If it works you have ALSA and Emacs should 
use that.

> I looked at the code a tiny bit.  I think one possible fix would be to
> write a PulseAudio sound back end for Emacs.  PulseAudio seems to be the
> current way of producing sounds on Fedora.
> 

Well, one can set up pulseaudio so ALSA doesn't work.  On the other hand one 
can set up ALSA to use pulseaudio.  I don't know how Fedora 11 does it.

	Jan D.